using System;
class Program
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int n = int.Parse(s[0]);
        int nPodniz = int.Parse(s[1]);
        int mnozilac = int.Parse(s[2]);


        string[] s2 = Console.ReadLine().Split();
        long[] brojevi = new long[s2.Length];
        for (int i=0; i<s2.Length; i++)
        {
            brojevi[i] = long.Parse(s2[i]);
        }

        int mPomak = mnozilac - 1; 
        for (int j = 0; j <= (n - nPodniz); j++)
        {
            
            long zbir = 0;
            for (int i = j; i < j + nPodniz; i++)
            {
                zbir += brojevi[i];
            }

            
            long[] podniz = new long[nPodniz]; 
            podniz[nPodniz - 1] = 0;

                    
            int indeks = 0; long temp = 0;

            
            for (int i = j + nPodniz - 1; i >= j + 1; i--)
            {
                temp += brojevi[i];
                podniz[indeks++] = temp;
            }

            
            long[] uk = new long[nPodniz];
            for (int i = 0; i < nPodniz - 1; i++)
            {
                uk[i] = podniz[i];
            }
            uk[nPodniz - 1] = 0; Array.Sort(uk); 

            
            long nov = 0;
            for (int i = 0; i < mPomak; i++)
            {
                nov += uk[nPodniz - 1 - i]; 
            }

            long konacno = zbir + nov;         
            Console.Write(konacno+" ");
        }

        Console.WriteLine();
    }
}